Bullet Collision Detection & Physics Library: btEmptyAlgorithm Class Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Public Attributes | List of all members
btEmptyAlgorithm Class Reference

EmptyAlgorithm is a stub for unsupported collision pairs. More...

`#include <btEmptyCollisionAlgorithm.h>`

Inheritance diagram for btEmptyAlgorithm:
[legend]
Collaboration diagram for btEmptyAlgorithm:
[legend]

## Classes
struct | CreateFunc

## Public Member Functions
| btEmptyAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Public Attributes
btEmptyAlgorithm::CreateFunc | ATTRIBUTE_ALIGNED

## Additional Inherited Members
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

EmptyAlgorithm is a stub for unsupported collision pairs.

The dispatcher can dispatch a persistent btEmptyAlgorithm to avoid a search every frame.

Definition at line 26 of file btEmptyCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btEmptyAlgorithm()

btEmptyAlgorithm::btEmptyAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |

Definition at line 18 of file btEmptyCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btEmptyAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 27 of file btEmptyCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btEmptyAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 35 of file btEmptyCollisionAlgorithm.h.

## ◆ processCollision()

void btEmptyAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 23 of file btEmptyCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ ATTRIBUTE_ALIGNED

btEmptyAlgorithm::CreateFunc btEmptyAlgorithm::ATTRIBUTE_ALIGNED

The documentation for this class was generated from the following files:

- btEmptyCollisionAlgorithm.h
- btEmptyCollisionAlgorithm.cpp